unit ucryptdemou;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, Buttons, StdCtrls;

type
  Tfucryptdemo = class(TForm)
    MainMenu: TMainMenu;
    LogIn: TMenuItem;
    Admin: TMenuItem;
    CreateUser1: TMenuItem;
    LogOut1: TMenuItem;
    ChangePassword1: TMenuItem;
    procedure SpeedButton1Click(Sender: TObject);
    procedure LogInClick(Sender: TObject);
    procedure CreateUser1Click(Sender: TObject);
    procedure LogOut1Click(Sender: TObject);
    procedure ChangePassword1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure CheckPerms;
  end;

var
  fucryptdemo: Tfucryptdemo;

implementation

uses newuser, loginu, ChangePwdu, dmu;

{$R *.dfm}

procedure Tfucryptdemo.SpeedButton1Click(Sender: TObject);
begin
   //fCreateUser.Show;
   fLogin.Show;
end;

procedure Tfucryptdemo.LogInClick(Sender: TObject);
var
  mr, mr1: integer;
begin
   mr:=fLogin.ShowModal;   //get username and password
   case mr of
     mrOK:  CheckPerms;
     mrRetry: 
       begin
       mr1:= fChangePassword.ShowModal;
       case mr1 of
         mrOK: CheckPerms;
         else ShowMessage('Password change failed');
         end;
       end;
     mrCancel: ShowMessage('Login failed');
     end;
end;

procedure Tfucryptdemo.CheckPerms;
begin
  Login.Visible:=dm.Perms = 0;
  LogOut1.Visible:=not Login.Visible;
  Admin.Visible:= dm.Perms >=3;
  ChangePassword1.Visible:=LogOut1.Visible;
  if dm.Perms = 0 then
    Caption:='UCryptDemo'
    else Caption:='UCryptDemo - '+ dm.Uname;
end;

procedure Tfucryptdemo.CreateUser1Click(Sender: TObject);
begin
  fCreateUser.ShowModal;
end;

procedure Tfucryptdemo.LogOut1Click(Sender: TObject);
begin
  dm.Perms:=0;
  Caption:='UCryptDemo';
end;

procedure Tfucryptdemo.ChangePassword1Click(Sender: TObject);
begin
       fChangePassword.ShowModal;
       case fChangePassword.ShowModal of
         mrOK: CheckPerms;
         else ShowMessage('Password change failed');
         end;
end;

end.
